# 프로모션 코드 프로모션 활성화

프로모션 코드 프로모션을 활성화합니다.

생성된 프로모션 코드 프로모션은 기본적으로 비활성화되어 있습니다.
프로모션을 활성화할 때까지 사용할 수 없습니다.
이 엔드포인트를 사용하여 프로모션 코드 프로모션을 활성화합니다.

Endpoint: PUT /v2/project/{project_id}/admin/promocode/{external_id}/activate
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    프로젝트 ID. 이 매개 변수는 프로젝트 이름 옆의 관리자 페이지에서 또는 프로젝트 작업 시 브라우저 주소 표시줄에서 확인할 수 있습니다. URL 형식은 다음과 같습니다: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `external_id` (integer, required)
    프로모션 외부 ID입니다. 프로젝트 내부의 고유 프로모션 식별자입니다.
    Example: "coupon_44056_1"

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-9802]: Promocode not found"

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 9502

  - `errorMessage` (string)
    Example: "[0401-9502]: Error occurred while receiving the promotion from the promotion service"

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"


## Response 204 fields
